
QGIS Application - Bug report #3380

Crash when repeatedly switching symbology renderer

2011-01-02 04:02 AM - adbosco -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 13440

Description

For this test, I loaded a shapefile with 1393 categories and repeatedly changed the symbology renderer and the column to be classified. 

After doing it for about 15 to 20 times, qgis crashed.

This behavior seems to be associated with a failure to synchronize the change in symbology with rendering to the canvas.  It is certain to

happen if one tries many different symbology settings repeatedly, but it sometimes happens unexpectedly when normally setting/resetting

symbology in a normal pace (a production work situation).

This bug report relates to a build with the following characteristics:

SVN revision: 14989

compiler: g++ (Gentoo 4.4.4-r2 p1.2, pie-0.4.5) 4.4.4

build type: RELEASE

CXX_FLAGS: -g -O3 -DNDEBUG (it also crashes without the -g flag)

Similar behavior was also reported for 1.6 ubuntu binary and 1.5 gentoo source, built with -O2 -DNDEBUG flags.

Cannot reproduce in a DEBUG build.

If the information above does not help, please respond to this ticket and I will perform extra tests as needed.

History

#1 - 2011-01-02 12:24 PM - adbosco -

Attached another backtrace file, now with Qt compiled with the -g flag, too.  Hopefully this one has more usefull information.

#2 - 2011-01-05 08:38 AM - Jürgen Fischer

see also #3391

#3 - 2011-12-16 01:50 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-23 06:57 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Status changed from Open to Feedback

- Status info deleted (0)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

I cannot replicate the issue on master and 1.7.3 on both windows/osgeo4w and Ubuntu. Please check again and report back.

#5 - 2011-12-23 09:10 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#6 - 2012-01-28 03:04 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.

Files

gdb-qgis-g.txt 16.2 KB 2011-01-02 adbosco -

gdb-qgis-g-qt-g.txt 34.5 KB 2011-01-02 adbosco -
